GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/m88k-bsd-nat.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "regcache.h"`
`#include "target.h"`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <machine/reg.h>`
`#include "m88k-tdep.h"`
`#include "inf-ptrace.h"`

Go to the source code of this file.

## Functions
static void | m88kbsd_supply_gregset (struct regcache *regcache, const void *gregs)
static void | m88kbsd_collect_gregset (const struct regcache *regcache, void *gregs, int regnum)
static void | m88kbsd_fetch_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
static void | m88kbsd_store_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
void | _initialize_m88kbsd_nat (void)

## Function Documentation

## ◆ _initialize_m88kbsd_nat()

void _initialize_m88kbsd_nat | ( | void |  | ) |

Definition at line 99 of file m88k-bsd-nat.c.

References add_target(), inf_ptrace_target(), m88kbsd_fetch_inferior_registers(), m88kbsd_store_inferior_registers(), target_ops::to_fetch_registers, and target_ops::to_store_registers.

## ◆ m88kbsd_collect_gregset()

static void m88kbsd_collect_gregset | ( | const struct regcache * | regcache,
|  | void * | gregs,
|  | int | regnum
| ) |  |
| static

Definition at line 48 of file m88k-bsd-nat.c.

References M88K_NUM_REGS, regcache_raw_collect(), and regnum.

Referenced by m88kbsd_store_inferior_registers().

## ◆ m88kbsd_fetch_inferior_registers()

static void m88kbsd_fetch_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 66 of file m88k-bsd-nat.c.

References _, m88kbsd_supply_gregset(), perror_with_name(), ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, and regcache_get_ptid().

Referenced by _initialize_m88kbsd_nat().

## ◆ m88kbsd_store_inferior_registers()

static void m88kbsd_store_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 82 of file m88k-bsd-nat.c.

References _, m88kbsd_collect_gregset(), perror_with_name(), ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), and regnum.

Referenced by _initialize_m88kbsd_nat().

## ◆ m88kbsd_supply_gregset()

static void m88kbsd_supply_gregset | ( | struct regcache * | regcache,
|  | const void * | gregs
| ) |  |
| static

Definition at line 35 of file m88k-bsd-nat.c.

References M88K_NUM_REGS, regcache_raw_supply(), and regnum.

Referenced by m88kbsd_fetch_inferior_registers().